{
    "$schema": "https://schema.tauri.app/config/2",
    "productName": "kb-demo-app",
    "version": "0.7.42",
    "identifier": "com.sasedev.kb-demo-app",
    "build": {
        "beforeDevCommand": "npm run dev",
        "devUrl": "http://localhost:1420",
        "beforeBuildCommand": "npm run build",
        "frontendDist": "./dist"
    },
    "app": {
        "withGlobalTauri": true,
        "windows": [
            {
                "label": "splash",
                "url": "splash.html",
                "title": "Loading ... Khadhroony BoBoBot App",
                "width": 960,
                "height": 637,
                "resizable": false,
                "decorations": false,
                "transparent": true,
                "center": true,
                "alwaysOnTop": true
            },
            {
                "label": "main",
                "url": "main.html",
                "title": "Khadhroony-BoBoBot-App",
                "width": 1024,
                "height": 768,
                "minWidth": 800,
                "minHeight": 600,
                "center": true,
                "visible": false,
                "transparent": false,
                "decorations": true
            },
            {
                "label": "demo_ws",
                "url": "demo_ws.html",
                "title": "Demo Ws Subscribe",
                "width": 1400,
                "height": 768,
                "minWidth": 800,
                "minHeight": 600,
                "center": true,
                "visible": false,
                "create": false,
                "transparent": false,
                "decorations": true
            },
            {
                "label": "demo_http",
                "url": "demo_http.html",
                "title": "Demo Http",
                "width": 1100,
                "height": 820,
                "minWidth": 860,
                "minHeight": 620,
                "center": true,
                "visible": false,
                "create": false,
                "transparent": false,
                "decorations": true
            },
            {
                "label": "demo_ws_manager",
                "url": "demo_ws_manager.html",
                "title": "Demo Ws Manager",
                "width": 1280,
                "height": 800,
                "minWidth": 900,
                "minHeight": 620,
                "center": true,
                "visible": false,
                "create": false,
                "transparent": false,
                "decorations": true
            },
            {
                "label": "demo3",
                "url": "demo3.html",
                "title": "Demo3 Local DEX Corpus",
                "width": 1480,
                "height": 920,
                "minWidth": 1000,
                "minHeight": 700,
                "center": true,
                "visible": false,
                "create": false,
                "transparent": false,
                "decorations": true
            },
            {
                "label": "demo3old",
                "url": "demo3old.html",
                "title": "Demo3old Local DEX Corpus",
                "width": 1480,
                "height": 920,
                "minWidth": 1000,
                "minHeight": 700,
                "center": true,
                "visible": false,
                "create": false,
                "transparent": false,
                "decorations": true
            },
            {
                "label": "demo_pipeline",
                "url": "demo_pipeline.html",
                "title": "Demo Pipeline",
                "width": 1480,
                "height": 920,
                "minWidth": 1000,
                "minHeight": 700,
                "center": true,
                "visible": false,
                "create": false,
                "transparent": false,
                "decorations": true
            },
            {
                "label": "demo_pipeline2",
                "url": "demo_pipeline2.html",
                "title": "Demo Pipeline2",
                "width": 1480,
                "height": 920,
                "minWidth": 1000,
                "minHeight": 700,
                "center": true,
                "visible": false,
                "create": false,
                "transparent": false,
                "decorations": true
            }
        ],
        "security": {
            "csp": null
        }
    },
    "bundle": {
        "active": true,
        "targets": "all",
        "icon": [
            "icons/favicon.png",
            "icons/favicon.ico"
        ]
    }
}
